      block data hec_beam_data
c
      implicit none
c
      include 'hec_beam.inc'    !parameters of beam particle trajectory
      include 'hec_beam_sys_config.inc' !beam system configuration
      include 'hec_beam_sys_shifts.inc' !beam system shifts
      include 'hec_datacard.inc' !datacard values
c===
      data nrff/2/, nrfl/5/
      data zxplane/208.5, 179.0, 277.5, 351.5, 2225.5/
      data zyplane/207.0, 176.0, 274.5, 348.5, 2224.0/
ccc      data step/  0.2,   0.1,   0.1,   0.2,    0.2/
ccc      data hsize/12.8, 4*6.4/
c
c there are currently 4 mwpcs. the first three have 128 wires with 
c 1mm spacing, the last one has 64 wires with 2mm spacing. so, half-size is
c always the same (6.4cm). the mwpcs are numbered 2 through 5.
c
      data hsize/5*6.4/
      data step/  0.1,   0.1,   0.1,   0.1,    0.2/
c
      data xinv/5*1./
      data yinv/-1.,4*1./
c=== 
      data shiftx/5*0.0/, shifty/5*0.0/
c===
      data zbeam/-86./
      data xbeam_ok/.false./, ybeam_ok/.false./
c
      end



