      subroutine hec_online_ana1
c
c 
c
      implicit none
c
      include'hec_par.inc'          ! shared parameters
      include'hec_runh.inc'         ! run header common
c
c local variables
c
c
c if adcs are not read out for this run, do not try to fill histograms
c
      if (.not. calo_on_flag) then
        print *,' '
        print *,'WARNING!!!: ADCs not read out, skipping most'
     +         ,'            histograms (hec_online_ana1)'
        print *,' '
        return
      endif
c
c calculate pedestal mean and rms values
c
      call hec_ped_ana1
c
c call histo filling routine
c
      call hec_his_ana1
c
c
c output run sheet for triggers
c
      call hec_trig_sheet
c 
      end



