c
c correlation package common
c
c
c event counter
c
      integer nevtcrl
c
c set maximum number of slices and adcs that can be examined 
c with this package (do not increase the size of these as the
c memory of the entire hec_adc package rises like the cube of these
c dimensions)
c
      integer crl_maxsamp,crl_maxadc
      parameter (crl_maxsamp=32)
      parameter (crl_maxadc=72)
c
c ****  arrays with average, r.m.s. and correlation coefficients
c
      common /sssivcom/ dpave(crl_maxsamp,crl_maxadc),
     &                dprms(crl_maxsamp,crl_maxadc),
     &             dpcortim(crl_maxsamp,crl_maxsamp,crl_maxadc),
     &             dpcoradc(crl_maxadc,crl_maxadc,crl_maxsamp),
     &             dps1(crl_maxsamp,crl_maxadc),
     &             dps2(crl_maxsamp,crl_maxadc),
     &             dpsc2(crl_maxadc,crl_maxadc,crl_maxsamp),
     &             dpsc1(crl_maxsamp,crl_maxsamp,crl_maxadc),
     &             nevtcrl
c
      DOUBLE PRECISION dpave,dprms,dpcortim,dpcoradc
      DOUBLE PRECISION dps1,dps2,dpsc1,dpsc2
